Bug 52506 - REGRESSION (r71842): Compass video is not playing in Safari welcome page
Summary: REGRESSION (r71842): Compass video is not playing in Safari welcome page
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: All OS X 10.6
: P2 Normal
Assignee: Jer Noble
URL: http://www.apple.com/safari/welcome/
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-01-14 21:21 PST by Jer Noble
Modified: 2011-01-20 15:45 PST (History)
4 users (show)

See Also:


Attachments
Patch (5.26 KB, patch)
2011-01-14 22:45 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (5.12 KB, patch)
2011-01-19 16:03 PST, Jer Noble
eric.carlson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2011-01-14 21:21:41 PST
The various elements of the welcome page animate, but the compass animates as a still image. The video of the compass needle spinning is not playing.
Comment 1 Jer Noble 2011-01-14 21:22:13 PST
<rdar://problem/8864215>
Comment 2 Jer Noble 2011-01-14 22:45:21 PST
Created attachment 79055 [details]
Patch
Comment 3 Eric Carlson 2011-01-17 08:54:25 PST
+    waitForEvent('seeked',
+    function () {
+        testExpected("video.currentTime.toFixed(2)", (video.duration - 0.2).toFixed(2));
+        
Including the duration of a media file in test results will make the test fail in a port that use another encoding. Look at video-seek-past-end-paused.html for one way to do this kind of test without logging the actual duration.
Comment 4 Jer Noble 2011-01-19 16:03:31 PST
Created attachment 79511 [details]
Patch

Thanks for the r+, Mitz.  I'm uploading a new patch anyway, though, to address Eric's comment
Comment 5 Jer Noble 2011-01-20 15:15:59 PST
Comment on attachment 79511 [details]
Patch

Clearing commit+ in preparation of manual landing.
Comment 6 Jer Noble 2011-01-20 15:45:25 PST
Committed r76296: <http://trac.webkit.org/changeset/76296>